tzselect(8)

NUME
tzselect - selectează un fus orar

SINOPSIS
tzselect [ -c coordonate ] [ -n limită ] [ --help ] [ --version ]

DESCRIERE
Programul tzselect solicită utilizatorului informații despre locația curentă și afișează fusul orar rezultat la ieșirea standard. Ieșirea este adecvată ca valoare pentru variabila de mediu TZ.

Toate interacțiunile cu utilizatorul se realizează prin intermediul intrării standard și a ieșirii de eroare standard.

OPȚIUNI

-c coordonate
    În loc să solicite continentul și apoi țara și apoi orașul, solicită o selecție din zonele orare ale căror orașe cele mai mari sunt cele mai apropiate de locația cu coordonatele geografice coordonate. Utilizează notația ISO 6709 pentru coordonate, adică o latitudine urmată imediat de o longitudine. Latitudinea și longitudinea trebuie să fie numere întregi cu semn, urmate de un semn de separare zecimal opțional și de o fracție: numerele pozitive reprezintă nordul și estul, cele negative sudul și vestul. Latitudinile cu două cifre întregi și longitudinile cu trei cifre întregi sunt tratate ca grade; latitudinile cu patru sau șase cifre întregi și longitudinile cu cinci sau șapte cifre întregi sunt tratate ca GGMM, GGGMM, GGMMSS, sau GGGMMSS reprezentând GG sau GGG grade, MM minute și zero sau SS secunde, iar orice fracțiune de sfârșit reprezintă fracțiuni de minute sau (dacă SS este prezent) secunde. Semnul de separare zecimal este cel din configurația regională curentă. De exemplu, în locale C (implicit), -c +40.689-074.045 specifică 40.689gradeN, 74.045gradeW, -c +4041.4-07402. 7 specifică 40gradegrade41.4minuteN, 74grade2.7minuteW, iar -c +404121-0740240 specifică 40grade41minuteminute21secundeN, 74grade2minute40secundeW. În cazul în care coordonate nu este una dintre formele documentate, comportamentul rezultat este nespecificat.

-n limită
    Când se utilizează opțiunea -c, se afișează cele mai apropiate locații limită (implicit 10).

--help
    Afișează acest mesaj de ajutor și iese.

--version
    Afișează informațiile despre versiune și iese.

VARIABILE DE MEDIU

AWK Numele unui program awk compatibil cu POSIX (implicit: awk).

TZDIR
    Numele directorului care conține fișierele de date privind fusul orar (implicit: /usr/share/zoneinfo).

FIȘIERE

TZDIR/iso3166.tab
    Tabel cu coduri de țară din 2 litere ISO 3166 și nume de țară.

TZDIR/zone1970.tab
    Tabel cu coduri de țară, latitudine și longitudine, fus orar și comentarii descriptive.

TZDIR/TZ
    Fișier de date de fus orar pentru fusul orar TZ.

STARE DE IEȘIRE
Starea de ieșire este zero dacă un fus orar a fost obținut cu succes de la utilizator, altfel este diferită de zero.

CONSULTAȚI ȘI
newctime(3), tzfile(5), zdump(8), zic(8)

NOTE
Aplicațiile nu ar trebui să presupună că rezultatul lui tzselect corespunde preferințelor politice ale utilizatorului.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.